Bug 97428 - Autoconf 2.57 incompatible with kdevelop
Summary: Autoconf 2.57 incompatible with kdevelop
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autoconf (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-15 15:00 UTC by Daniel
Modified: 2007-04-18 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-09 10:49:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel 2003-06-15 15:00:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

Description of problem:
In redhat 9, autoconf 2.57-3 is provided. This causes kdevelop to not be able to
build a project. Kdevelop only works with autoconf-2.53. I dont know if this is
a bug in kdevelop or autoconf.

Version-Release number of selected component (if applicable):
autoconf-2.57-3

How reproducible:
Always

Steps to Reproduce:
1.start kdevelop
2.create a new project using the wizard
3.The project will fail the autoconf step
    

Actual Results:  The autoconf step fails with a messages "Undefined Macro: AC_Dest"

If I uninstall autoconf, and install the one from redhat 8.0 (autoconf 2.53-8),
the same procedure works fine.

Expected Results:  the configure script should have been automatically
generated, and kdevelop should be able to build the project.

Additional info:

Comment 1 Miloslav Trmac 2003-06-16 12:38:31 UTC
This happens with more programs using the KDE autoconf/automake
"hack set". I haven't been able to find the case though.

Comment 2 CoreDump 2003-12-06 20:42:19 UTC
autoconf 2.57 gives this:
configure.in:131: error: m4_popdef: undefined macro: AC_Dest         
          
autoconf/status.m4:844: AC_CONFIG_FILES is expanded from...          
          
configure.in:131: the top level                                      
          
autom4te: /usr/bin/m4 failed with exit status: 1                     
          

autoconf 2.53 is working correctly.


Comment 3 Miloslav Trmac 2003-12-06 20:46:03 UTC
This is apparently some bug in the KDE macro set; upgrading to
latest kapptemplate solved the problem for me.

Comment 4 Jens Petersen 2003-12-09 10:49:13 UTC
Ok, thanks.  I'll close this for now then.
If there is still a problem, please reopen.


Note You need to log in before you can comment on or make changes to this bug.